import traceback

from cpl_core.console import Console

from bot_api.abc.dto_abc import DtoABC


class VersionDTO(DtoABC):

    def __init__(self, major: str = None, minor: str = None, micro: str = None):
        DtoABC.__init__(self)

        self._major = major
        self._minor = minor
        self._micro = micro

    def from_dict(self, values: dict):
        self._major = values['Major']
        self._minor = values['Minor']
        self._micro = values['Micro']

    def to_dict(self) -> dict:
        return {
            'Major': self._major,
            'Minor': self._minor,
            'Micro': self._micro,
        }
